%define ver	1.79
%define date	19991117
%define	rel	9

Summary: Common files for the nvi multilingualized text editor.
Name: nvi-m17n
Version: %{ver}
Release: %{date}.%{rel}
Group: Applications/Editors
License: GPL
URL: http://www.itojun.org/itojun.j.html
## Source: ftp://ftp.foretune.co.jp/pub/tools/nvi-m17n/nvi-%{version}.tar.gz
## Patch0: ftp://ftp.foretune.co.jp/pub/tools/nvi-m17n/nvi-%{version}.m17n-%{date}.diff.gz
Source: nvi-%{version}.tar.bz2
Patch0: nvi-%{version}.m17n-%{date}.diff.bz2
Patch1: nvi-%{version}.m17n-19990331.mkdir.patch
Patch2: nvi-1.79.makefile.patch
Requires: fileutils
BuildPrereq: libtermcap-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot


%description
Nvi is a multilingualized clone of the vi text editor, with support
for Japanese, Korean, Chinese, and other encoding schemes. This
package contains the common files needed for nvi. You also need to
install either nvi-m17n-canna or nvi-m17n-nocanna, depending on
whether or not you have the Canna input system installed.

%package canna
Summary: The nvi multiligualized text editor with support for Canna.
Group: Applications/Editors
BuildRequires: Canna-devel

%description canna
Nvi is a multilingualized clone of the vi text editor, with support
for Japanese, Korean, Chinese, and other encoding schemes. This
package contains the nvi binary with support for the Canna input
system. If you do not have Canna installed, you need to install the
nvi-m17n-nocanna package instead.

%package nocanna
Summary: The nvi multiligualized text editor without support for Canna.
Group: Applications/Editors

%description nocanna
Nvi is a multilingualized clone of the vi text editor, with support
for Japanese, Korean, Chinese, and other encoding schemes. This
package contains the nvi binary without support for the Canna input
system.

%prep
%setup -q -n nvi-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
OPTS="--program-prefix=n --enable-multibyte=euc-jp"
(cd build
%configure ${OPTS}
make
cd -)

# build canna version
CANNA="--enable-canna --program-suffix=-canna"
if [ ! -d build.canna ]; then
	%{__mkdir} build.canna
fi
(cd build.canna && ../build/configure ${OPTS} ${CANNA} && make && cd -)


%install
rm -rf $RPM_BUILD_ROOT
cd build
make DESTDIR=$RPM_BUILD_ROOT install
(cd $RPM_BUILD_ROOT%{_bindir}; mv nex nex-nocanna)
(cd $RPM_BUILD_ROOT%{_bindir}; mv nvi nvi-nocanna)
(cd $RPM_BUILD_ROOT%{_bindir}; mv nview nview-nocanna)
cd -

(cd build.canna
make prefix="$RPM_BUILD_ROOT%{_prefix}" install
cd -)

%{__mkdir_p} $RPM_BUILD_ROOT/var/tmp/vi.recover
%{__chmod} 1777 $RPM_BUILD_ROOT/var/tmp/vi.recover


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%post canna
ln -sf nex-canna $RPM_BUILD_ROOT%{_bindir}/nex
ln -sf nvi-canna $RPM_BUILD_ROOT%{_bindir}/nvi
ln -sf nview-canna $RPM_BUILD_ROOT%{_bindir}/nview


%preun canna
if [ "$1" = 0 ]; then
	rm -rf $RPM_BUILD_ROOT%{_bindir}/{nex,nvi,nview}
fi


%post nocanna
ln -sf nex-nocanna $RPM_BUILD_ROOT%{_bindir}/nex
ln -sf nvi-nocanna $RPM_BUILD_ROOT%{_bindir}/nvi
ln -sf nview-nocanna $RPM_BUILD_ROOT%{_bindir}/nview


%preun nocanna
if [ "$1" = 0 ]; then
	rm -rf $RPM_BUILD_ROOT%{_bindir}/{nex,nvi,nview}
fi


%files
%defattr(-, root, root)
%doc FAQ LAYOUT LICENSE README docs
%doc -P build/README* catalog/README cl/README.signal db/README
%doc -P ip/IP_INSTRUCTIONS regex/{COPYRIGHT,WHATSNEW}
%doc docs.m17n
%doc -P curses/README.m17n regex/README.m17n
%{_bindir}/qregular
%{_bindir}/regular
%{_mandir}/man1/*.1*
%{_datadir}/vi/
%attr(1777,root,root) %dir /var/tmp/vi.recover

%files canna
%defattr(-, root, root)
%{_bindir}/*-canna

%files nocanna
%defattr(-, root, root)
%{_bindir}/*-nocanna


%changelog
* Mon Aug 13 2001 SATO Satoru <ssato@redhat.com> - 1.79-19991117.9
- add BuildPrereq: libtermcap-devel
- remove BuildPrereq: ncurses-devel and the configure option
  (--disable-curses) which causes that bug (#49875)

* Sat Jul 28 2001 SATO Satoru <ssato@redhat.com> - 1.79-19991117.8
- build with ncurses and add BuildPrereq: ncurses-devel
- bzip2 sources 

* Tue Jul 10 2001 SATO Satoru <ssato@redhat.com>
- /var/preserve -> /var/tmp

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Thu Jan 23 2001 SATO Satoru <ssato@redhat.com>
- close #24721
- clean up SPEC

* Thu Jan 04 2001 Preston Brown <pbrown@redhat.com>
- fix dir permissions on /var/preserve/vi.recover

* Thu Dec 21 2000 SATO Satoru <ssato@redhat.com>
- clean up SPEC

* Thu Aug 24 2000 Satoru Sato <ssato@redhat.com>
- rename pkg-name (nvi-1.79-m17n -> nvi-m17n)
- remove japanese descriptions

* Fri Aug 04 2000 Satoru Sato <ssato@redhat.com>
- rebuild for new glibc

* Mon Mar 27 2000 Chris Ding <cding@redhat.com>
- work with compressed man

* Mon Mar 27 2000 Chris Ding <cding@redhat.com>
- updated to m17n-19991117
- disabled curses
- added /var/preserve/vi.recover in %files

* Thu Oct  7 1999 Matt Wilson <msw@redhat.com>
- rebuilt against 6.1

* Tue Aug 24 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- built against RHL-6.0/i386
- "-" -> "_" in Version:

* Wed Aug 18 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- 1st release
